## gate.gui
Class DocumentEditor.EventsHandler.NodeAdder

    java.lang.Object
      |
      +--gate.gui.DocumentEditor.EventsHandler.NodeAdder

All Implemented Interfaces:
  Runnable

Enclosing class:
  DocumentEditor.EventsHandler

class DocumentEditor.EventsHandler.NodeAdder
extends Object
implements Runnable

Helper class that adds a specified tree node

Field Summary
`(package private) DocumentEditor.TypeData` `tData`

Constructor Summary
`(package private)` `DocumentEditor.EventsHandler.NodeAdder(DocumentEditor.TypeData tData)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### tData

    DocumentEditor.TypeData tData

Constructor Detail

### DocumentEditor.EventsHandler.NodeAdder

    DocumentEditor.EventsHandler.NodeAdder(DocumentEditor.TypeData tData)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`